package cn.axzo.workflow.starter.handler.execute.interceptor;

import cn.axzo.framework.rocketmq.EventConsumer;
import cn.axzo.workflow.starter.handler.execute.ListenerExecutor;

import java.util.function.Consumer;

/**
 * 失败自动恢复，在后台记录失败的消息，并按照一定的策略后期再进行重试，目前暂不支持
 */
public final class FailBackInterceptor extends AbstractListenerInterceptor {
    @Override
    public <T> void execute(ListenerExecutor executor, Consumer<T> consumer, EventConsumer.Context context, T t) {
        throw new UnsupportedOperationException("FailBackInterceptor");
    }

    @Override
    public void setNext(ExecuteInterceptor next) {
        throw new UnsupportedOperationException("FailBackInterceptor");
    }
}
